[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# copyfromdos

Copy data from DOS to heap

## Declaration

Source position: go32.pp line 191

`procedure copyfromdos(`
`var addr;`
`len: LongInt`
`);`

## Description

Copies data from the pre-allocated dos memory transfer buffer to the heap.

Parameters:

addr
  data to copy to.
len
  number of bytes to copy to heap.

Notes: Can only be used in conjunction with the dos memory transfer buffer.

## Errors

Check the int31error variable.

## See also

tb_size |  | Return DOS transfer memory buffer size
transfer_buffer |  | Return offset of DOS transfer buffer
copytodos |  | Copy data from heap to DOS memory